Record Class ResetarPowersyncStatusResponse
java.lang.Object
java.lang.Record
br.com.vantroba.bi.transporte.powersync.ResetarPowersyncStatusResponse
- Record Components:
resetId- identificador da execução de reset da replicaçãostatus- status atual da execuçãomotivo- motivo informado ao iniciar a execuçãoiniciadoPor- identificação de quem iniciou a execuçãoiniciadoEm- data/hora de início da execuçãoconcluidoEm- data/hora de conclusão da execuçãotempoMs- tempo total da execução em milissegundosstepAtual- passo em andamento no momento da consultaerroMensagem- mensagem de erro, se a execução falhoustepsCompletados- lista de passos já concluídosdetalhesJson- detalhes adicionais da execução em formato JSON
public record ResetarPowersyncStatusResponse(long resetId, String status, @Nullable String motivo, @Nullable String iniciadoPor, LocalDateTime iniciadoEm, @Nullable LocalDateTime concluidoEm, @Nullable Long tempoMs, @Nullable String stepAtual, @Nullable String erroMensagem, List<String> stepsCompletados, @Nullable String detalhesJson)
extends Record
Resposta 200 do GET /api/transporte/admin/resetar-powersync/{id}.
Espelha o conteúdo da row em xls_resetar_powersync, com stepsCompletados
e detalhes já parseados de JSONB para estruturas Java.
-
Constructor Summary
ConstructorsConstructorDescriptionResetarPowersyncStatusResponse(long resetId, String status, String motivo, String iniciadoPor, LocalDateTime iniciadoEm, LocalDateTime concluidoEm, Long tempoMs, String stepAtual, String erroMensagem, List<String> stepsCompletados, String detalhesJson) Creates an instance of aResetarPowersyncStatusResponserecord class. -
Method Summary
Modifier and TypeMethodDescriptionReturns the value of theconcluidoEmrecord component.Returns the value of thedetalhesJsonrecord component.final booleanIndicates whether some other object is "equal to" this one.Returns the value of theerroMensagemrecord component.final inthashCode()Returns a hash code value for this object.Returns the value of theiniciadoEmrecord component.Returns the value of theiniciadoPorrecord component.motivo()Returns the value of themotivorecord component.longresetId()Returns the value of theresetIdrecord component.status()Returns the value of thestatusrecord component.Returns the value of thestepAtualrecord component.Returns the value of thestepsCompletadosrecord component.tempoMs()Returns the value of thetempoMsrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
ResetarPowersyncStatusResponse
public ResetarPowersyncStatusResponse(long resetId, String status, @Nullable String motivo, @Nullable String iniciadoPor, LocalDateTime iniciadoEm, @Nullable LocalDateTime concluidoEm, @Nullable Long tempoMs, @Nullable String stepAtual, @Nullable String erroMensagem, List<String> stepsCompletados, @Nullable String detalhesJson) Creates an instance of aResetarPowersyncStatusResponserecord class.- Parameters:
resetId- the value for theresetIdrecord componentstatus- the value for thestatusrecord componentmotivo- the value for themotivorecord componentiniciadoPor- the value for theiniciadoPorrecord componentiniciadoEm- the value for theiniciadoEmrecord componentconcluidoEm- the value for theconcluidoEmrecord componenttempoMs- the value for thetempoMsrecord componentstepAtual- the value for thestepAtualrecord componenterroMensagem- the value for theerroMensagemrecord componentstepsCompletados- the value for thestepsCompletadosrecord componentdetalhesJson- the value for thedetalhesJsonrecord component
-
-
Method Details
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared withObjects::equals(Object,Object); primitive components are compared with thecomparemethod from their corresponding wrapper classes. -
resetId
-
status
-
motivo
-
iniciadoPor
Returns the value of theiniciadoPorrecord component.- Returns:
- the value of the
iniciadoPorrecord component
-
iniciadoEm
Returns the value of theiniciadoEmrecord component.- Returns:
- the value of the
iniciadoEmrecord component
-
concluidoEm
Returns the value of theconcluidoEmrecord component.- Returns:
- the value of the
concluidoEmrecord component
-
tempoMs
-
stepAtual
-
erroMensagem
Returns the value of theerroMensagemrecord component.- Returns:
- the value of the
erroMensagemrecord component
-
stepsCompletados
Returns the value of thestepsCompletadosrecord component.- Returns:
- the value of the
stepsCompletadosrecord component
-
detalhesJson
Returns the value of thedetalhesJsonrecord component.- Returns:
- the value of the
detalhesJsonrecord component
-